1. Docs
  2. API Reference
  3. Get hierarchy schema for the active Environment

Get hierarchy schema for the active Environment

GET/api/v1/hierarchy-schema

Authentication

  • Bearer Token Authorization

    JWT access token

  • API Key X-API-Key

    API key for management-tier access

Code samples

cURLJavaScriptPythonGo
curl -X GET "https://api.canopy.dev/api/v1/hierarchy-schema" \
  -H "X-API-Key: $CANOPY_API_KEY"

Responses

200 Hierarchy schema returned
{
  "node_types": [
    "string"
  ],
  "allowed_children": {},
  "max_depth": 0,
  "root_node_type": "string"
}

application/json

  • node_typesstring[]*
  • allowed_childrenany object*
  • max_depthnumber*
  • root_node_typestring
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)

Returned object

On this page

Related endpoints

PATCHUpdate hierarchy schema for the active Environment